Loading...
Searching...
No Matches
BALL::SmartsParser::SPBond Class Reference

Bond representation of the smarts parser. More...

`#include <BALL/STRUCTURE/smartsParser.h>`

## Public Types

enum | SPBondOrder { SINGLE = 1 , SINGLE_UP , SINGLE_UP_OR_ANY , SINGLE_DOWN , SINGLE_DOWN_OR_ANY , SINGLE_OR_AROMATIC , AROMATIC , DOUBLE , TRIPLE , NOT_NECESSARILY_CONNECTED , IN_RING , ANY }
| the bond orders supported by SMARTS-patterns More...

## Public Member Functions

Constructors and destructors
| SPBond ()
| Default constructor.
| SPBond (SPBondOrder bond_order)
| Detailed constructor with bond order.
| SPBond (SPAtom *first, SPAtom *second, SPBondOrder bond_order)
| Detailed constructor with.
virtual | ~SPBond ()
| Destructor.

## Accessors

ZEIsomerType | ze_type_
| Z/E isomer type.
SPBondOrder | bond_order_
| the bond order
bool | not_
| general negation flag
ZEIsomerType | getZEType () const
| returns the Z/E isomer type
void | setZEType (ZEIsomerType type)
| sets the Z/E isomer type
void | setBondOrder (SPBondOrder bond_order)
| sets the bond order
SPBondOrder | getBondOrder () const
| returns the bond order
bool | isNot () const
| return true if a general negation is set
void | setNot (bool is_not)
| set the general negation to the bool given
bool | equals (const Bond *bond) const

## Detailed Description

Bond representation of the smarts parser.

This class represents a bond of the smarts parser. The normal bond representation of BALL is not sufficient in this case, because many other properties are needed for the SMARTS-patterns. For example the "or any" orders

Definition at line 105 of file smartsParser.h.

## Member Enumeration Documentation

## SPBondOrder

enum BALL::SmartsParser::SPBond::SPBondOrder

the bond orders supported by SMARTS-patterns

Enumerator
SINGLE |
SINGLE_UP |
SINGLE_UP_OR_ANY |
SINGLE_DOWN |
SINGLE_DOWN_OR_ANY |
SINGLE_OR_AROMATIC |
AROMATIC |
DOUBLE |
TRIPLE |
NOT_NECESSARILY_CONNECTED |
IN_RING |
ANY |

Definition at line 110 of file smartsParser.h.

## Constructor & Destructor Documentation

## SPBond() [1/3]

BALL::SmartsParser::SPBond::SPBond | ( |  | ) |

Default constructor.

## SPBond() [2/3]

BALL::SmartsParser::SPBond::SPBond | ( | SPBondOrder | bond_order | ) |

Detailed constructor with bond order.

## SPBond() [3/3]

BALL::SmartsParser::SPBond::SPBond | ( | SPAtom * | first,
|  | SPAtom * | second,
|  | SPBondOrder | bond_order )

Detailed constructor with.

## ~SPBond()

virtual BALL::SmartsParser::SPBond::~SPBond | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## equals()

bool BALL::SmartsParser::SPBond::equals | ( | const Bond * | bond | ) | const

## getBondOrder()

SPBondOrder BALL::SmartsParser::SPBond::getBondOrder | ( |  | ) | const

inline

returns the bond order

Definition at line 155 of file smartsParser.h.

## getZEType()

ZEIsomerType BALL::SmartsParser::SPBond::getZEType | ( |  | ) | const

inline

returns the Z/E isomer type

Definition at line 146 of file smartsParser.h.

## isNot()

bool BALL::SmartsParser::SPBond::isNot | ( |  | ) | const

inline

return true if a general negation is set

Definition at line 158 of file smartsParser.h.

## setBondOrder()

void BALL::SmartsParser::SPBond::setBondOrder | ( | SPBondOrder | bond_order | ) |

sets the bond order

## setNot()

void BALL::SmartsParser::SPBond::setNot | ( | bool | is_not | ) |

inline

set the general negation to the bool given

Definition at line 161 of file smartsParser.h.

## setZEType()

void BALL::SmartsParser::SPBond::setZEType | ( | ZEIsomerType | type | ) |

inline

sets the Z/E isomer type

Definition at line 149 of file smartsParser.h.

## Member Data Documentation

## bond_order_

SPBondOrder BALL::SmartsParser::SPBond::bond_order_

protected

the bond order

Definition at line 173 of file smartsParser.h.

## not_

bool BALL::SmartsParser::SPBond::not_

protected

general negation flag

Definition at line 176 of file smartsParser.h.

## ze_type_

ZEIsomerType BALL::SmartsParser::SPBond::ze_type_

protected

Z/E isomer type.

Definition at line 170 of file smartsParser.h.